notifier(7)

NAME
notifier - CUPS-Benachrichtigungsschnittstelle

SYNOPSIS
notifier Empfänger [ Benutzerdaten ]

BESCHREIBUNG
Die CUPS-Benachrichtigungsschnittstelle stellt eine Standardmethode zum Hinzufügen von Unterstützungen für neue Benachrichtigungsmethoden zu CUPS bereit. Jeder Benachrichtiger liefert eine oder mehrere IPP-Ereignisse aus der Standardeingabe an den angegebenen Empfänger aus.

Benachrichtiger MÜSSEN IPP-Nachrichten aus der Standardeingabe mittels der Funktionen ippNew() und ippReadFile() lesen und sich im Fehlerfall beenden. Benachrichtiger sollten sich nach einer geeigneten Inaktivitätszeit selbst beenden, allerdings dürfen sie sich auch nach dem Lesen der ersten Nachricht beenden oder bis ein Fehler auftritt weiterlaufen. Benachrichtiger erben die Umgebung und können die in filter(7) dokumentierten Protokolliermechanismen nutzen.

SIEHE AUCH
cupsd(8), filter(7), CUPS-Online Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.